Index: Scheduling/trunk/cs/bsdx0200GUISourceCode/CGView.cs
===================================================================
--- Scheduling/trunk/cs/bsdx0200GUISourceCode/CGView.cs	(revision 772)
+++ Scheduling/trunk/cs/bsdx0200GUISourceCode/CGView.cs	(revision 788)
@@ -83,5 +83,5 @@
 		private System.Windows.Forms.MenuItem menuItem6;
 		private System.Windows.Forms.MenuItem menuItem7;
-		private System.Windows.Forms.MenuItem mnuPrintClinicLetters;
+		private System.Windows.Forms.MenuItem mnuPrintReminderLetters;
 		private System.Windows.Forms.MenuItem mnuPrintPatientLetter;
 		private System.Windows.Forms.MenuItem mnuPrintClinicSchedules;
@@ -213,5 +213,5 @@
             this.menuItem6 = new System.Windows.Forms.MenuItem();
             this.mnuPrintClinicSchedules = new System.Windows.Forms.MenuItem();
-            this.mnuPrintClinicLetters = new System.Windows.Forms.MenuItem();
+            this.mnuPrintReminderLetters = new System.Windows.Forms.MenuItem();
             this.mnuPrintRebookLetters = new System.Windows.Forms.MenuItem();
             this.mnuPrintCancellationLetters = new System.Windows.Forms.MenuItem();
@@ -311,5 +311,5 @@
             this.menuItem6,
             this.mnuPrintClinicSchedules,
-            this.mnuPrintClinicLetters,
+            this.mnuPrintReminderLetters,
             this.mnuPrintRebookLetters,
             this.mnuPrintCancellationLetters,
@@ -365,4 +365,5 @@
             // 
             this.mnuSchedulingManagment.Index = 7;
+            this.mnuSchedulingManagment.Shortcut = System.Windows.Forms.Shortcut.CtrlShiftM;
             this.mnuSchedulingManagment.Text = "Scheduling &Management";
             this.mnuSchedulingManagment.Click += new System.EventHandler(this.mnuSchedulingManagment_Click);
@@ -380,9 +381,10 @@
             this.mnuPrintClinicSchedules.Click += new System.EventHandler(this.mnuPrintClinicSchedules_Click);
             // 
-            // mnuPrintClinicLetters
-            // 
-            this.mnuPrintClinicLetters.Index = 10;
-            this.mnuPrintClinicLetters.Text = "Print Rem&inder Letters";
-            this.mnuPrintClinicLetters.Click += new System.EventHandler(this.mnuPrintClinicLetters_Click);
+            // mnuPrintReminderLetters
+            // 
+            this.mnuPrintReminderLetters.Index = 10;
+            this.mnuPrintReminderLetters.Shortcut = System.Windows.Forms.Shortcut.CtrlR;
+            this.mnuPrintReminderLetters.Text = "Print Rem&inder Letters";
+            this.mnuPrintReminderLetters.Click += new System.EventHandler(this.mnuPrintReminderLetters_Click);
             // 
             // mnuPrintRebookLetters
@@ -395,4 +397,5 @@
             // 
             this.mnuPrintCancellationLetters.Index = 12;
+            this.mnuPrintCancellationLetters.Shortcut = System.Windows.Forms.Shortcut.CtrlShiftC;
             this.mnuPrintCancellationLetters.Text = "Print C&ancellation Letters";
             this.mnuPrintCancellationLetters.Click += new System.EventHandler(this.mnuPrintCancellationLetters_Click);
@@ -1787,9 +1790,6 @@
 					sClinicList = sClinicList + sRes + "|";	
 				}
-				string sSql = "BSDX REBOOK LIST^" + sApptIDList;
-				DataTable dtLetters = m_DocManager.RPMSDataTable(sSql, "PatientAppts");
-				DPatientLetter dpl = new DPatientLetter();
-					
-				dpl.InitializeFormRebookLetters(this.DocManager, sClinicList, dtLetters);
+				DPatientLetter dpl = new DPatientLetter();					
+				dpl.InitializeFormRebookLetters(this.DocManager, sClinicList, sApptIDList);
 				dpl.ShowDialog(this);
 			}		
@@ -2915,5 +2915,5 @@
 		}
 
-		private void mnuPrintClinicLetters_Click(object sender, System.EventArgs e)
+		private void mnuPrintReminderLetters_Click(object sender, System.EventArgs e)
 		{
 			try
@@ -2931,5 +2931,5 @@
 
 				DPatientLetter dpl = new DPatientLetter();
-				dpl.InitializeFormClinicLetters(this.DocManager, sClinics, dtBegin, dtEnd);
+				dpl.InitializeFormPatientReminderLetters(this.DocManager, sClinics, dtBegin, dtEnd);
 				dpl.ShowDialog(this);
 
@@ -2951,19 +2951,7 @@
 					return;
 
-				//get the resource names and call the letter printer
-
-				string sClinics = ds.SelectedClinics;
-				DateTime dtBegin = ds.BeginDate;
-				DateTime dtEnd = ds.EndDate;
-				string sBegin = dtBegin.ToString("M/d/yyyy@HH:mm");
-				string sEnd = dtEnd.ToString("M/d/yyyy@HH:mm");
-
+				//Call the letter printer
 				DPatientLetter dpl = new DPatientLetter();
-				
-				//Call RPC to get list of appt ids that have been rebooked for these clinics on these dates
-				string sSql = "BSDX REBOOK CLINIC LIST^" + sClinics + "^" + sBegin + "^" + sEnd;
-				DataTable dtLetters = DocManager.RPMSDataTable(sSql, "PatientAppts");
-
-				dpl.InitializeFormRebookLetters(this.DocManager, sClinics, dtLetters);
+                dpl.InitializeFormRebookLetters(this.DocManager, ds.SelectedClinics, ds.BeginDate, ds.EndDate);
 				dpl.ShowDialog(this);
 
@@ -3060,16 +3048,9 @@
 				DateTime dtBegin = ds.BeginDate;
 				DateTime dtEnd = ds.EndDate;
-				string sBegin = dtBegin.ToString("M/d/yyyy@HH:mm");
-				string sEnd = dtEnd.ToString("M/d/yyyy@HH:mm");
 
 				DPatientLetter dpl = new DPatientLetter();
 				
-				//Call RPC to get list of appt ids that have been cancelled for these clinics on these dates
-				string sSql = "BSDX CANCEL CLINIC LIST^" + sClinics + "^" + sBegin + "^" + sEnd;
-				DataTable dtLetters = DocManager.RPMSDataTable(sSql, "PatientAppts");
-
-				dpl.InitializeFormCancellationLetters(this.DocManager, sClinics, dtLetters);
+				dpl.InitializeFormCancellationLetters(this.DocManager, sClinics, dtBegin, dtEnd);
 				dpl.ShowDialog(this);
-
 			}
 			catch(Exception ex)
